[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoRemainingKeyDown

Handles key down messages which are not handled by the widget.

## Declaration

Source position: controls.pp line 2260

`protected function TWinControl.DoRemainingKeyDown(`
`var Message: TLMKeyDown`
`):Boolean;`

## Arguments

`Message` |  | Key down message examined in the method.

## Function result

True if the key was handled.